List position transactions
curl --request GET \
--url https://api.engine.usesophic.com/positions/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/positions/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/positions/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"booked_at": "2026-07-14T09:34:12Z",
"cash_amount": "-99250.00",
"currency": "<string>",
"id": "<string>",
"instrument": "<string>",
"reference": "<string>",
"reference_type": "deposit",
"settlement_date": "2026-07-16",
"summary": "<string>",
"tax": "19.85",
"taxes": [
{
"amount": "19.85",
"currency": "<string>",
"rate": "20.00"
}
],
"transaction_type": "deposit",
"unit_price": "99.25",
"unit_quantity": "1000.00",
"accrued_interest": "871.23"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Activity
List position transactions
Retrieve the position’s transaction activity.
GET
/
positions
/
{id}
/
transactions
List position transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
deposit, withdrawal, buy, sell, fee, refund, maturity, coupon_payment, merger, fx, position_migration_in, book_transfer, portfolio_transfer, write_off Response
OK
The time the transaction was booked.
Example:
"2026-07-14T09:34:12Z"
The transaction cash amount.
Example:
"-99250.00"
The currency of the transaction amounts.
The ID of the transaction.
The ID of the instrument.
ID of the related source resource (order, trade, etc.).
The type of the related resource.
Available options:
deposit, withdrawal, order, fee_charge, fee_collection, refund, corporate_action, position_migration_in, book_transfer, portfolio_transfer The settlement date.
Example:
"2026-07-16"
A summary of the transaction.
The total tax amount.
Example:
"19.85"
The taxes applied to the transaction.
Show child attributes
Show child attributes
The transaction type.
Available options:
deposit, withdrawal, buy, sell, fee, refund, maturity, coupon_payment, merger, fx, position_migration_in, book_transfer, portfolio_transfer, write_off The transaction price per unit.
Example:
"99.25"
The number of units transacted.
Example:
"1000.00"
The accrued interest included in a fixed-income transaction.
Example:
"871.23"